slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetPreconditionerMat

Returns the matrix previously set by STSetPreconditionerMat().

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetPreconditionerMat(ST st,Mat *mat)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| mat | - the matrix that will be used in constructing the preconditioner or NULL if no matrix was set by STSetPreconditionerMat().

### See Also

STSetPreconditionerMat()

### Level

advanced

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages